Bug 1475975 - LVM cache: warning about loosing redundancy is incorrect.
LVM cache: warning about loosing redundancy is incorrect.
Status: VERIFIED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: lvm2 (Show other bugs)
7.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Zdenek Kabelac
cluster-qe@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-27 12:51 EDT by Jonathan Earl Brassow
Modified: 2017-12-08 19:08 EST (History)
8 users (show)

See Also:
Fixed In Version: lvm2-2.02.176-5.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Earl Brassow 2017-07-27 12:51:25 EDT
Was testing https://bugzilla.redhat.com/show_bug.cgi?id=1179970#c19 and came across a strange error:

"WARNING: Data redundancy is lost with writeback caching of raid logical volume!"

This would be correct if my cacheDataLV and cacheMetaLV were not also RAID LVs, but they are.

This:
        if (lv_is_raid(origin_lv) &&
            first_seg(seg->pool_lv)->cache_mode == CACHE_MODE_WRITEBACK)
                log_warn("WARNING: Data redundancy is lost with writeback "
                         "caching of raid logical volume!");
should probably make sure that the component devices of the cachepool are not RAID before printing the warning
Comment 3 Zdenek Kabelac 2017-11-27 06:39:06 EST
Switched to: "could be lost"

https://www.redhat.com/archives/lvm-devel/2017-November/msg00086.html


Recognizing 'exact' level of lost resilience is ATM beyond code capabilities - but a more explaining message may arrive in future.
Comment 5 Corey Marthaler 2017-12-08 19:08:25 EST
Fix verified in the latest rpms.

3.10.0-811.el7.x86_64

lvm2-2.02.176-5.el7    BUILT: Wed Dec  6 04:13:07 CST 2017
lvm2-libs-2.02.176-5.el7    BUILT: Wed Dec  6 04:13:07 CST 2017
lvm2-cluster-2.02.176-5.el7    BUILT: Wed Dec  6 04:13:07 CST 2017
lvm2-lockd-2.02.176-5.el7    BUILT: Wed Dec  6 04:13:07 CST 2017
lvm2-python-boom-0.8.1-5.el7    BUILT: Wed Dec  6 04:15:40 CST 2017
cmirror-2.02.176-5.el7    BUILT: Wed Dec  6 04:13:07 CST 2017
device-mapper-1.02.145-5.el7    BUILT: Wed Dec  6 04:13:07 CST 2017
device-mapper-libs-1.02.145-5.el7    BUILT: Wed Dec  6 04:13:07 CST 2017
device-mapper-event-1.02.145-5.el7    BUILT: Wed Dec  6 04:13:07 CST 2017
device-mapper-event-libs-1.02.145-5.el7    BUILT: Wed Dec  6 04:13:07 CST 2017
device-mapper-persistent-data-0.7.3-2.el7    BUILT: Tue Oct 10 04:00:07 CDT 2017



[root@host-117 ~]# lvs -a -o +devices
  LV                            VG            Attr       LSize   Pool Origin Data%  Meta% Cpy%Sync Devices
  [lvol0_pmspare]               cache_sanity  ewi-------  12.00m                                   /dev/sda1(23)
  smallK_cache                  cache_sanity  Cwi---C---  52.00k                                   smallK_cache_cdata(0)
  [smallK_cache_cdata]          cache_sanity  Cwi---r---  52.00k                                   smallK_cache_cdata_rimage_0(0),smallK_cache_cdata_rimage_1(0)
  [smallK_cache_cdata_rimage_0] cache_sanity  Iwi---r---  52.00k                                   /dev/sdf1(3)
  [smallK_cache_cdata_rimage_1] cache_sanity  Iwi---r---  52.00k                                   /dev/sdg1(3)
  [smallK_cache_cdata_rmeta_0]  cache_sanity  ewi---r---  12.00k                                   /dev/sdf1(0)
  [smallK_cache_cdata_rmeta_1]  cache_sanity  ewi---r---  12.00k                                   /dev/sdg1(0)
  [smallK_cache_cmeta]          cache_sanity  ewi---r---  12.00m                                   smallK_cache_cmeta_rimage_0(0),smallK_cache_cmeta_rimage_1(0)
  [smallK_cache_cmeta_rimage_0] cache_sanity  Iwi---r---  12.00m                                   /dev/sdf1(19)
  [smallK_cache_cmeta_rimage_1] cache_sanity  Iwi---r---  12.00m                                   /dev/sdg1(19)
  [smallK_cache_cmeta_rmeta_0]  cache_sanity  ewi---r---  12.00k                                   /dev/sdf1(16)
  [smallK_cache_cmeta_rmeta_1]  cache_sanity  ewi---r---  12.00k                                   /dev/sdg1(16)
  smallK_origin                 cache_sanity  rwi-a-r---  80.00k                          100.00   smallK_origin_rimage_0(0),smallK_origin_rimage_1(0)
  [smallK_origin_rimage_0]      cache_sanity  iwi-aor---  80.00k                                   /dev/sda1(3)
  [smallK_origin_rimage_1]      cache_sanity  iwi-aor---  80.00k                                   /dev/sde1(3)
  [smallK_origin_rmeta_0]       cache_sanity  ewi-aor---  12.00k                                   /dev/sda1(0)
  [smallK_origin_rmeta_1]       cache_sanity  ewi-aor---  12.00k                                   /dev/sde1(0)

[root@host-117 ~]# lvconvert --yes --type cache --cachepool cache_sanity/smallK_cache cache_sanity/smallK_origin
  Logical volume cache_sanity/smallK_origin is now cached.

[root@host-117 ~]# lvs -a -o +devices
  LV                             VG            Attr       LSize   Pool           Origin                Data%  Meta% Cpy%Sync Devices
  [lvol0_pmspare]                cache_sanity  ewi-------  12.00m                                                            /dev/sda1(23)
  [smallK_cache]                 cache_sanity  Cwi---C---  52.00k                                      0.00   0.39  0.00     smallK_cache_cdata(0)
  [smallK_cache_cdata]           cache_sanity  Cwi-aor---  52.00k                                                   100.00   smallK_cache_cdata_rimage_0(0),smallK_cache_cdata_rimage_1(0)  
  [smallK_cache_cdata_rimage_0]  cache_sanity  iwi-aor---  52.00k                                                            /dev/sdf1(3)
  [smallK_cache_cdata_rimage_1]  cache_sanity  iwi-aor---  52.00k                                                            /dev/sdg1(3)
  [smallK_cache_cdata_rmeta_0]   cache_sanity  ewi-aor---  12.00k                                                            /dev/sdf1(0)
  [smallK_cache_cdata_rmeta_1]   cache_sanity  ewi-aor---  12.00k                                                            /dev/sdg1(0)
  [smallK_cache_cmeta]           cache_sanity  ewi-aor---  12.00m                                                   100.00   smallK_cache_cmeta_rimage_0(0),smallK_cache_cmeta_rimage_1(0)  
  [smallK_cache_cmeta_rimage_0]  cache_sanity  iwi-aor---  12.00m                                                            /dev/sdf1(19)
  [smallK_cache_cmeta_rimage_1]  cache_sanity  iwi-aor---  12.00m                                                            /dev/sdg1(19)
  [smallK_cache_cmeta_rmeta_0]   cache_sanity  ewi-aor---  12.00k                                                            /dev/sdf1(16)
  [smallK_cache_cmeta_rmeta_1]   cache_sanity  ewi-aor---  12.00k                                                            /dev/sdg1(16)
  smallK_origin                  cache_sanity  Cwi-a-C---  80.00k [smallK_cache] [smallK_origin_corig] 0.00   0.39  0.00     smallK_origin_corig(0)
  [smallK_origin_corig]          cache_sanity  rwi-aoC---  80.00k                                                   100.00   smallK_origin_corig_rimage_0(0),smallK_origin_corig_rimage_1(0)
  [smallK_origin_corig_rimage_0] cache_sanity  iwi-aor---  80.00k                                                            /dev/sda1(3)
  [smallK_origin_corig_rimage_1] cache_sanity  iwi-aor---  80.00k                                                            /dev/sde1(3)
  [smallK_origin_corig_rmeta_0]  cache_sanity  ewi-aor---  12.00k                                                            /dev/sda1(0)
  [smallK_origin_corig_rmeta_1]  cache_sanity  ewi-aor---  12.00k                                                            /dev/sde1(0)

Note You need to log in before you can comment on or make changes to this bug.